<template>
    <h4>Pages</h4>
    <div class="text-end">
        <router-link to="/pages/create" class="btn btn-primary">New Page</router-link>
    </div>
    <table class="table table-hover">
        <thead>
            <tr>
                <th>Title</th>
                <th>Link Text</th>
                <th>Is Published</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(page, index) in $pages?.getAllPages()" :key="index" @click="goToPage(index)">
                <td>{{ page.pageTitle }}</td>
                <td>{{ page.link.text }}</td>
                <td>{{ page.published ? 'yes' : 'no' }}</td>
            </tr>
        </tbody>
    </table>
</template>

<script setup>
import { inject } from 'vue';
import { useRouter } from 'vue-router';

const $pages = inject('$pages');
const router = useRouter();

function goToPage(index) {
    router.push({ path: `pages/${index}/edit` })
}

</script>

<style scoped>
.table.table-hover thead {
    border-bottom: 1px
}
</style>

<script>
// use ref
// import { ref } from 'vue';
// const counter = ref(0); // value: 0

// use reactive
/*
import { reactive } from 'vue';
const data = reactive({ counter: 0 })

function click() {
    // counter.value++;
    data.counter++;
}
*/

// use old
/*
export default {
    data() {
        return {
            counter: 0
        };
    },
    methods: {
        click() {
            this.counter++;   
        }
    }
}
*/
</script>